Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.schema
Interface Synonym

All Superinterfaces:
  Comparable, Rateable, Serializable

All Known Implementing Classes:
  SynonymImpl

public interface Synonym
extends Rateable, Comparable

This is a wrapper interface for special associations that manage the synonym-relationship between two topics.

Note that while this interface is of type Rateable, the RatingManager cannot assign ratings to Synonym objects directly. Instead, it assigns the rating to the wrapped association. Therefore, an implementation simply delegates all Rateable methods to the wrapped association.

The OntologyManager is responsible for creating and managing objects of this type.

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  `RatingManager`, `OntologyManager`, `Topic`

Method Summary
`Topic` | `getSynonym()` Returns the synonymous topic of a synonym-relationship between two topics.
`Topic` | `getTopic()` Returns the base topic of a synonym-relationship between two topics, i.e. the topic from which the Synonym object is retrieved.

Methods inherited from interface de.uka.ipd.consensus.foundation.schema.Rateable
`addRating, getAverageRatingValue, getId, getRating, getRatings, getRatingsCount`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getSynonym

    public Topic getSynonym()

  Returns the synonymous topic of a synonym-relationship between two topics.

  Returns:
    the synonymous topic, never `null`

### getTopic

    public Topic getTopic()

  Returns the base topic of a synonym-relationship between two topics, i.e. the topic from which the Synonym object is retrieved.

  Returns:
    the base topic, never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD